<?php
$tdatastock_receiving = array();
$tdatastock_receiving[".searchableFields"] = array();
$tdatastock_receiving[".ShortName"] = "stock_receiving";
$tdatastock_receiving[".OwnerID"] = "";
$tdatastock_receiving[".OriginalTable"] = "purchasing_details";


$tdatastock_receiving[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\",\"list2view\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastock_receiving[".originalPagesByType"] = $tdatastock_receiving[".pagesByType"];
$tdatastock_receiving[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\",\"list2view\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastock_receiving[".originalPages"] = $tdatastock_receiving[".pages"];
$tdatastock_receiving[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastock_receiving[".originalDefaultPages"] = $tdatastock_receiving[".defaultPages"];

//	field labels
$fieldLabelsstock_receiving = array();
$fieldToolTipsstock_receiving = array();
$pageTitlesstock_receiving = array();
$placeHoldersstock_receiving = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstock_receiving["English"] = array();
	$fieldToolTipsstock_receiving["English"] = array();
	$placeHoldersstock_receiving["English"] = array();
	$pageTitlesstock_receiving["English"] = array();
	$fieldLabelsstock_receiving["English"]["id"] = "Id";
	$fieldToolTipsstock_receiving["English"]["id"] = "";
	$placeHoldersstock_receiving["English"]["id"] = "";
	$fieldLabelsstock_receiving["English"]["pur_id"] = "Pur Id";
	$fieldToolTipsstock_receiving["English"]["pur_id"] = "";
	$placeHoldersstock_receiving["English"]["pur_id"] = "";
	$fieldLabelsstock_receiving["English"]["bar_code"] = "Bar Code";
	$fieldToolTipsstock_receiving["English"]["bar_code"] = "";
	$placeHoldersstock_receiving["English"]["bar_code"] = "";
	$fieldLabelsstock_receiving["English"]["unit"] = "Unit";
	$fieldToolTipsstock_receiving["English"]["unit"] = "";
	$placeHoldersstock_receiving["English"]["unit"] = "";
	$fieldLabelsstock_receiving["English"]["gross"] = "Receive";
	$fieldToolTipsstock_receiving["English"]["gross"] = "";
	$placeHoldersstock_receiving["English"]["gross"] = "";
	$fieldLabelsstock_receiving["English"]["price"] = "Price";
	$fieldToolTipsstock_receiving["English"]["price"] = "";
	$placeHoldersstock_receiving["English"]["price"] = "";
	$fieldLabelsstock_receiving["English"]["tar"] = "Tar";
	$fieldToolTipsstock_receiving["English"]["tar"] = "";
	$placeHoldersstock_receiving["English"]["tar"] = "";
	$fieldLabelsstock_receiving["English"]["net"] = "Send";
	$fieldToolTipsstock_receiving["English"]["net"] = "";
	$placeHoldersstock_receiving["English"]["net"] = "";
	$fieldLabelsstock_receiving["English"]["sub_total"] = "Sub Total";
	$fieldToolTipsstock_receiving["English"]["sub_total"] = "";
	$placeHoldersstock_receiving["English"]["sub_total"] = "";
	$fieldLabelsstock_receiving["English"]["stock_rece_code"] = "Stock Rece Code";
	$fieldToolTipsstock_receiving["English"]["stock_rece_code"] = "";
	$placeHoldersstock_receiving["English"]["stock_rece_code"] = "";
	$fieldLabelsstock_receiving["English"]["stock_send_code"] = "Stock Send Code";
	$fieldToolTipsstock_receiving["English"]["stock_send_code"] = "";
	$placeHoldersstock_receiving["English"]["stock_send_code"] = "";
	$fieldLabelsstock_receiving["English"]["product"] = "Product";
	$fieldToolTipsstock_receiving["English"]["product"] = "";
	$placeHoldersstock_receiving["English"]["product"] = "";
	$fieldLabelsstock_receiving["English"]["details"] = "Details";
	$fieldToolTipsstock_receiving["English"]["details"] = "";
	$placeHoldersstock_receiving["English"]["details"] = "";
	$fieldLabelsstock_receiving["English"]["package_details"] = "Package Details";
	$fieldToolTipsstock_receiving["English"]["package_details"] = "";
	$placeHoldersstock_receiving["English"]["package_details"] = "";
	$fieldLabelsstock_receiving["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsstock_receiving["English"]["outlet_code"] = "";
	$placeHoldersstock_receiving["English"]["outlet_code"] = "";
	$fieldLabelsstock_receiving["English"]["user"] = "User";
	$fieldToolTipsstock_receiving["English"]["user"] = "";
	$placeHoldersstock_receiving["English"]["user"] = "";
	if (count($fieldToolTipsstock_receiving["English"]))
		$tdatastock_receiving[".isUseToolTips"] = true;
}


	$tdatastock_receiving[".NCSearch"] = true;



$tdatastock_receiving[".shortTableName"] = "stock_receiving";
$tdatastock_receiving[".nSecOptions"] = 0;

$tdatastock_receiving[".mainTableOwnerID"] = "";
$tdatastock_receiving[".entityType"] = 1;
$tdatastock_receiving[".connId"] = "test2_at_localhost";


$tdatastock_receiving[".strOriginalTableName"] = "purchasing_details";

	



$tdatastock_receiving[".showAddInPopup"] = false;

$tdatastock_receiving[".showEditInPopup"] = false;

$tdatastock_receiving[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastock_receiving[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastock_receiving[".listAjax"] = false;
//	temporary
$tdatastock_receiving[".listAjax"] = false;

	$tdatastock_receiving[".audit"] = true;

	$tdatastock_receiving[".locking"] = false;


$pages = $tdatastock_receiving[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastock_receiving[".edit"] = true;
	$tdatastock_receiving[".afterEditAction"] = 1;
	$tdatastock_receiving[".closePopupAfterEdit"] = 1;
	$tdatastock_receiving[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastock_receiving[".add"] = true;
$tdatastock_receiving[".afterAddAction"] = 1;
$tdatastock_receiving[".closePopupAfterAdd"] = 1;
$tdatastock_receiving[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastock_receiving[".list"] = true;
}



$tdatastock_receiving[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastock_receiving[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastock_receiving[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastock_receiving[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastock_receiving[".printFriendly"] = true;
}



$tdatastock_receiving[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastock_receiving[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastock_receiving[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastock_receiving[".isUseAjaxSuggest"] = true;

$tdatastock_receiving[".rowHighlite"] = true;



																																																																																																						

$tdatastock_receiving[".ajaxCodeSnippetAdded"] = false;

$tdatastock_receiving[".buttonsAdded"] = false;

$tdatastock_receiving[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastock_receiving[".isUseTimeForSearch"] = false;


$tdatastock_receiving[".badgeColor"] = "4169e1";


$tdatastock_receiving[".allSearchFields"] = array();
$tdatastock_receiving[".filterFields"] = array();
$tdatastock_receiving[".requiredSearchFields"] = array();

$tdatastock_receiving[".googleLikeFields"] = array();
$tdatastock_receiving[".googleLikeFields"][] = "id";
$tdatastock_receiving[".googleLikeFields"][] = "pur_id";
$tdatastock_receiving[".googleLikeFields"][] = "bar_code";
$tdatastock_receiving[".googleLikeFields"][] = "unit";
$tdatastock_receiving[".googleLikeFields"][] = "gross";
$tdatastock_receiving[".googleLikeFields"][] = "price";
$tdatastock_receiving[".googleLikeFields"][] = "tar";
$tdatastock_receiving[".googleLikeFields"][] = "net";
$tdatastock_receiving[".googleLikeFields"][] = "sub_total";
$tdatastock_receiving[".googleLikeFields"][] = "stock_rece_code";
$tdatastock_receiving[".googleLikeFields"][] = "stock_send_code";
$tdatastock_receiving[".googleLikeFields"][] = "product";
$tdatastock_receiving[".googleLikeFields"][] = "details";
$tdatastock_receiving[".googleLikeFields"][] = "outlet_code";
$tdatastock_receiving[".googleLikeFields"][] = "user";
$tdatastock_receiving[".googleLikeFields"][] = "package_details";



$tdatastock_receiving[".tableType"] = "list";

$tdatastock_receiving[".printerPageOrientation"] = 0;
$tdatastock_receiving[".nPrinterPageScale"] = 100;

$tdatastock_receiving[".nPrinterSplitRecords"] = 40;

$tdatastock_receiving[".geocodingEnabled"] = false;










$tdatastock_receiving[".pageSize"] = 20;

$tdatastock_receiving[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastock_receiving[".strOrderBy"] = $tstrOrderBy;

$tdatastock_receiving[".orderindexes"] = array();


$tdatastock_receiving[".sqlHead"] = "SELECT id,  	pur_id,  	bar_code,  	unit,  	gross,  	price,  	tar,  	net,  	sub_total,  	stock_rece_code,  	stock_send_code,  	product,  	details,outlet_code,user,  	package_details";
$tdatastock_receiving[".sqlFrom"] = "FROM purchasing_details";
$tdatastock_receiving[".sqlWhereExpr"] = "";
$tdatastock_receiving[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastock_receiving[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastock_receiving[".arrGroupsPerPage"] = $arrGPP;

$tdatastock_receiving[".highlightSearchResults"] = true;

$tableKeysstock_receiving = array();
$tableKeysstock_receiving[] = "id";
$tdatastock_receiving[".Keys"] = $tableKeysstock_receiving;


$tdatastock_receiving[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["id"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "id";
//	pur_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pur_id";
	$fdata["GoodName"] = "pur_id";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","pur_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pur_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pur_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["pur_id"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "pur_id";
//	bar_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "bar_code";
	$fdata["GoodName"] = "bar_code";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","bar_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bar_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bar_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["bar_code"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "bar_code";
//	unit
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "unit";
	$fdata["GoodName"] = "unit";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","unit");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "unit";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "unit";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["unit"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "unit";
//	gross
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "gross";
	$fdata["GoodName"] = "gross";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","gross");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "gross";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gross";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["gross"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "gross";
//	price
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "price";
	$fdata["GoodName"] = "price";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","price");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "price";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "price";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["price"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "price";
//	tar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tar";
	$fdata["GoodName"] = "tar";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","tar");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tar";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["tar"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "tar";
//	net
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "net";
	$fdata["GoodName"] = "net";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","net");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "net";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "net";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["net"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "net";
//	sub_total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "sub_total";
	$fdata["GoodName"] = "sub_total";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","sub_total");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "sub_total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["sub_total"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "sub_total";
//	stock_rece_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "stock_rece_code";
	$fdata["GoodName"] = "stock_rece_code";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","stock_rece_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "stock_rece_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "stock_rece_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["stock_rece_code"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "stock_rece_code";
//	stock_send_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "stock_send_code";
	$fdata["GoodName"] = "stock_send_code";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","stock_send_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "stock_send_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "stock_send_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "stk_tra_dat_4_recev";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"bar_code", 'lookupF'=>"bar_code");
	$edata["autoCompleteFields"][] = array('masterF'=>"unit", 'lookupF'=>"unit");
	$edata["autoCompleteFields"][] = array('masterF'=>"gross", 'lookupF'=>"quntity");
	$edata["autoCompleteFields"][] = array('masterF'=>"net", 'lookupF'=>"quntity");
	$edata["autoCompleteFields"][] = array('masterF'=>"product", 'lookupF'=>"product");
	$edata["autoCompleteFields"][] = array('masterF'=>"package_details", 'lookupF'=>"package_details");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";

				$edata["LookupWhereCode"] = true;


	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["stock_send_code"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "stock_send_code";
//	product
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "product";
	$fdata["GoodName"] = "product";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","product");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "product";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "product";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["product"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "product";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["details"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "details";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["outlet_code"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "outlet_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "user";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["user"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "user";
//	package_details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "package_details";
	$fdata["GoodName"] = "package_details";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("stock_receiving","package_details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "package_details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "package_details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_receiving["package_details"] = $fdata;
		$tdatastock_receiving[".searchableFields"][] = "package_details";


$tables_data["stock receiving"]=&$tdatastock_receiving;
$field_labels["stock_receiving"] = &$fieldLabelsstock_receiving;
$fieldToolTips["stock_receiving"] = &$fieldToolTipsstock_receiving;
$placeHolders["stock_receiving"] = &$placeHoldersstock_receiving;
$page_titles["stock_receiving"] = &$pageTitlesstock_receiving;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["stock receiving"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["stock receiving"] = array();



	
				$strOriginalDetailsTable="stock_transfer";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="stock_transfer - receiving";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "stock_transfer___receiving";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stock receiving"][0] = $masterParams;
				$masterTablesData["stock receiving"][0]["masterKeys"] = array();
	$masterTablesData["stock receiving"][0]["masterKeys"][]="id";
				$masterTablesData["stock receiving"][0]["detailKeys"] = array();
	$masterTablesData["stock receiving"][0]["detailKeys"][]="stock_rece_code";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stock_receiving()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	pur_id,  	bar_code,  	unit,  	gross,  	price,  	tar,  	net,  	sub_total,  	stock_rece_code,  	stock_send_code,  	product,  	details,outlet_code,user,  	package_details";
$proto0["m_strFrom"] = "FROM purchasing_details";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "stock receiving";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pur_id",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto8["m_sql"] = "pur_id";
$proto8["m_srcTableName"] = "stock receiving";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "bar_code",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto10["m_sql"] = "bar_code";
$proto10["m_srcTableName"] = "stock receiving";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "unit",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto12["m_sql"] = "unit";
$proto12["m_srcTableName"] = "stock receiving";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "gross",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto14["m_sql"] = "gross";
$proto14["m_srcTableName"] = "stock receiving";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "price",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto16["m_sql"] = "price";
$proto16["m_srcTableName"] = "stock receiving";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "tar",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto18["m_sql"] = "tar";
$proto18["m_srcTableName"] = "stock receiving";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "net",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto20["m_sql"] = "net";
$proto20["m_srcTableName"] = "stock receiving";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_total",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto22["m_sql"] = "sub_total";
$proto22["m_srcTableName"] = "stock receiving";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "stock_rece_code",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto24["m_sql"] = "stock_rece_code";
$proto24["m_srcTableName"] = "stock receiving";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "stock_send_code",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto26["m_sql"] = "stock_send_code";
$proto26["m_srcTableName"] = "stock receiving";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "product",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto28["m_sql"] = "product";
$proto28["m_srcTableName"] = "stock receiving";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto30["m_sql"] = "details";
$proto30["m_srcTableName"] = "stock receiving";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto32["m_sql"] = "outlet_code";
$proto32["m_srcTableName"] = "stock receiving";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto34["m_sql"] = "user";
$proto34["m_srcTableName"] = "stock receiving";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "package_details",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "stock receiving"
));

$proto36["m_sql"] = "package_details";
$proto36["m_srcTableName"] = "stock receiving";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto38=array();
$proto38["m_link"] = "SQLL_MAIN";
			$proto39=array();
$proto39["m_strName"] = "purchasing_details";
$proto39["m_srcTableName"] = "stock receiving";
$proto39["m_columns"] = array();
$proto39["m_columns"][] = "id";
$proto39["m_columns"][] = "pur_id";
$proto39["m_columns"][] = "bar_code";
$proto39["m_columns"][] = "unit";
$proto39["m_columns"][] = "gross";
$proto39["m_columns"][] = "price";
$proto39["m_columns"][] = "tar";
$proto39["m_columns"][] = "net";
$proto39["m_columns"][] = "sub_total";
$proto39["m_columns"][] = "stock_rece_code";
$proto39["m_columns"][] = "stock_send_code";
$proto39["m_columns"][] = "product";
$proto39["m_columns"][] = "details";
$proto39["m_columns"][] = "package_details";
$proto39["m_columns"][] = "cstatus";
$proto39["m_columns"][] = "outlet_code";
$proto39["m_columns"][] = "user";
$obj = new SQLTable($proto39);

$proto38["m_table"] = $obj;
$proto38["m_sql"] = "purchasing_details";
$proto38["m_alias"] = "";
$proto38["m_srcTableName"] = "stock receiving";
$proto40=array();
$proto40["m_sql"] = "";
$proto40["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto40["m_column"]=$obj;
$proto40["m_contained"] = array();
$proto40["m_strCase"] = "";
$proto40["m_havingmode"] = false;
$proto40["m_inBrackets"] = false;
$proto40["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto40);

$proto38["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto38);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stock receiving";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stock_receiving = createSqlQuery_stock_receiving();


	
		;

																

$tdatastock_receiving[".sqlquery"] = $queryData_stock_receiving;



$tableEvents["stock receiving"] = new eventsBase;
$tdatastock_receiving[".hasEvents"] = false;

?>